commit:     a82cd34d56952c904fb5b810a38b85bc8828324a
Author:     Craig Inches <craig <AT> craiginches <DOT> com>
AuthorDate: Thu Jun  9 22:27:03 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Fri Jun 10 16:27:07 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a82cd34d

media-gfx/displaycal: Version bump 3.1.3.1

Package-Manager: portage-2.2.28
Closes: https://github.com/gentoo/gentoo/pull/1637

Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 media-gfx/displaycal/Manifest                  |  1 +
 media-gfx/displaycal/displaycal-3.1.3.1.ebuild | 79 ++++++++++++++++++++++++++
 2 files changed, 80 insertions(+)

diff --git a/media-gfx/displaycal/Manifest b/media-gfx/displaycal/Manifest
index 60fffe1..164e024 100644
--- a/media-gfx/displaycal/Manifest
+++ b/media-gfx/displaycal/Manifest
@@ -1,2 +1,3 @@
 DIST DisplayCAL-3.0.6.0.tar.gz 16228 SHA256 
ff19c4299e33a587103ab475d136e446bfc7a5b631c8b90563227fe6b9898077 SHA512 
003110ddb26b01e1517a2605d341649600b64dfa4b55c3cb8e38b5160c5d2b0d876ae76e6a5b4571740b0030c3c713958bc1d7723d5c0c31e626ac4c702e91ee
 WHIRLPOOL 
30ebaf130f0ae3765fd2ada8852d4bd9443ce24b3b53cdd3c111abe9d5b4715e42214ddf69747b2dc806f119106f93436d3f894fc0dcf00c5748b701f08af8a7
 DIST DisplayCAL-3.1.2.0.tar.gz 9361108 SHA256 
78dbfd2be1cf7542657cc0f5ed9e16e27558206a4878ffae5ce68bd62460680d SHA512 
2c14ed0230e6bdd6f8876a5e8887498e3005941e2f68aedad2926f9b8dda642e909f9aa70205977123b1b7c1376dd3f361ad08ecc5015bfae77342ff1b848837
 WHIRLPOOL 
74f311618190974e6e9c0c5b895ab7f0dba18de06e52dcf1cca4df0373a278b4c4e170b6add51bdf550b21499ff1ecf249cae6f2eb2f3e0813c666bd0bc4f941
+DIST DisplayCAL-3.1.3.1.tar.gz 9555280 SHA256 
d48e0b12c0b4fe75e0c99eb5fd85c8651afc2c3a2e72d29ade9bb0a76e61f645 SHA512 
ef560155cf0eebf4fcd9beab699afd6f0e766901e44d6aba8f33242662aae68a5644e6e253f3bdfe2bb687b30e967190ddf746ef4467c41c9cda06c6bd9326ef
 WHIRLPOOL 
b696c68d7b25388b51c056534ca37f7e14d0f918b2471cd1e6662cfadc186eb989ad9429c3a40bc74992c9352d762c40e05add69773a834e99971ac46339f015

diff --git a/media-gfx/displaycal/displaycal-3.1.3.1.ebuild 
b/media-gfx/displaycal/displaycal-3.1.3.1.ebuild
new file mode 100644
index 0000000..0d69de9
--- /dev/null
+++ b/media-gfx/displaycal/displaycal-3.1.3.1.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1 fdo-mime eutils
+
+MY_PN="DisplayCAL"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Display calibration and characterization powered by Argyll CMS"
+HOMEPAGE="https://displaycal.net/";
+SRC_URI="mirror://sourceforge/dispcalgui/${MY_P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND=">=media-gfx/argyllcms-1.1.0
+       dev-python/wxpython:2.8
+       >=x11-libs/libX11-1.3.3
+       >=x11-apps/xrandr-1.3.2
+       >=x11-libs/libXxf86vm-1.1.0
+       >=x11-proto/xineramaproto-1.2
+       >=x11-libs/libXinerama-1.1"
+RDEPEND="${DEPEND}
+       >=dev-python/numpy-1.2.1"
+
+# Just in case someone renames the ebuild
+S=${WORKDIR}/${MY_P}
+
+DOCS=(
+       README.html
+)
+
+src_prepare() {
+       # Prohibit setup from running xdg-* programs, resulting to sandbox 
violation
+       cd "${S}/DisplayCAL" || die "Cannot cd to source directory."
+       sed -e 's/if which(\"xdg-icon-resource\"):/if 
which(\"xdg-icon-resource-non-existant\"):/' \
+               -e 's/if which(\"xdg-desktop-menu\"):/if 
which(\"xdg-desktop-menu-non-existant\"):/' \
+               -i postinstall.py || die "sed'ing out the xdg-* setup functions 
failed"
+
+       # Remove deprecated Encoding key from .desktop file
+       cd "${S}" || die "Cannot cd to work directory."
+       for offendingFile in $(grep -r -l "Encoding=UTF-8" .); do
+               sed -e '/Encoding=UTF-8/d' -i "${offendingFile}" || \
+               die "removing deprecated Encoding key from .desktop files 
failed"
+       done
+
+       # Remove x-world Media Type
+       cd "${S}/misc" || die "Cannot cd to misc directory."
+       sed -e 's/x\-world\/x\-vrml\;//g' -i 
"displaycal-vrml-to-x3d-converter.desktop" \
+               || die "removing x-world media type failed"
+
+       distutils-r1_src_prepare
+}
+
+src_install() {
+       distutils-r1_src_install
+       #remove udev files
+       rm -rf "${D}"/etc/udev/rules.d
+}
+
+pkg_postinst() {
+       # Run xdg-* programs the Gentoo way since we removed this
+       # functionality from the original package
+       fdo-mime_mime_database_update
+       fdo-mime_desktop_database_update
+}
+
+pkg_postrm() {
+       # Run xdg-* programs the Gentoo way since we removed this
+       # functionality from the original package
+       fdo-mime_mime_database_update
+       fdo-mime_desktop_database_update
+}

Reply via email to